/***************************************************************************
 *                                                                         *
 *   KNetLoad is copyright (c) 1999-2000, Markus Gustavsson                *
 *                         (c) 2002, Ben Burton                            *
 *                         (c) 2004-2005, Diego Pettenò                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INTERFACESCONFIGIMPL_H
#define INTERFACESCONFIGIMPL_H

#include "interfaces.h"

class InterfacesConfigImpl : public InterfacesConfig {
Q_OBJECT
public:
	InterfacesConfigImpl(QWidget *parent = 0, const char *name = 0);

protected slots:
	/**
	 * @brief Refresh the interfaces list
	 *
	 * This slot is called whenever someone asks to refresh the interfaces
	 * list, and reloads it for the selected method. If the method is
	 * locale, it calls LoadLocal methods, else it calls LoadRemote methods.
	 */
	virtual void reloadIFs();
	
	virtual void enableFields();
};

#endif
