/***************************************************************************
 *                                                                         *
 *   KNetLoad is copyright (c) 1999-2000, Markus Gustavsson                *
 *                         (c) 2002, Ben Burton                            *
 *                         (c) 2004-2005, Diego Pettenò                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "loadreader.h"

#include <kdebug.h>

LoadReader::LoadReader(QObject *parent, const char *name)
	: QObject(parent, name),
	currIn(0), currOut(0), prevIn(0), prevOut(0)
{
}

LoadReader::~LoadReader()
{
}

bool LoadReader::doReading()
{
	// The current readings must now become the previous readings.
	prevIn = currIn;
	prevOut = currOut;
	
	if ( ! doReadingActual() ) return false;
	
	// Tidy up
	if (currIn < prevIn)
		prevIn = 0;
	if (currOut < prevOut)
		prevIn = 0;
	
	return true;
}


#include "loadreader.moc"
